WKSChartInternal::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WKSChartInternal::SubDocument Class Referencefinal

Internal: the subdocument of a WKSChart. More...

Inheritance diagram for WKSChartInternal::SubDocument:

## Public Member Functions
| SubDocument (WKSChart const *chart, WKSChart::TextZone::Type textZone)
| ~SubDocument () final
| destructor
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType type) override
| the parser function
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WKSChart const * | m_chart
| the chart
WKSChart::TextZone::Type | m_textZone
| the textzone type
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a WKSChart.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

WKSChartInternal::SubDocument::SubDocument | ( | WKSChart const * | chart,
|  | WKSChart::TextZone::Type | textZone )
| inline

## ◆ ~SubDocument()

WKSChartInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [2/2]

WKSChartInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

SubDocument & WKSChartInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ operator==()

bool WKSChartInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void WKSChartInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | type )
| overridevirtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_chart

WKSChart const* WKSChartInternal::SubDocument::m_chart
| protected

the chart

Referenced by operator==(), and parse().

## ◆ m_textZone

WKSChart::TextZone::Type WKSChartInternal::SubDocument::m_textZone
| protected

the textzone type

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- WKSChart.cpp